#include <stdio.h>
#include <string.h>


int main(int argc,char **argv) {
  
  int i, x1, y1, z1, sub;
  int x, y, z;
  char s[256];
  FILE* fp;
  int layer_info[10];
  char ptr[150];
  
  for(i=0;i<10;i++)
    layer_info[i] = 0;

  fp = fopen(argv[1],"r");
  if(fp == NULL) {
    printf("The file %s could not be opened\n");
    exit(1);
  }
  for(i=0;i<5; i++) {
    fgets(s,256,fp);
    if(i==1)
      sscanf(s,"%s%s%d%s%d%s%d",ptr,ptr,&x1,ptr,&y1,ptr,&z1);
  }
  printf("FPGA size = %d x %d x %d\n",x1,y1,z1);
  while(fgets(s,256,fp)) {

    sscanf(s,"%s%d%d%d%d",ptr,&x,&y,&z,&sub);
    //printf("z = %d, sub = %d\n",z,sub);
    if(x == 0 || x == x1 + 1 || y == 0 || y == y1 + 1) {
    }
    else {
      layer_info[z]++;
    }

  }
  
  for(i=0;i<10;i++) {
    if(layer_info[i] > 0)
      printf("Layer %d has %d clbs\n",i+1,layer_info[i]);
  }
  return 1;
}
